> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Bank Codes

> The Bank Codes API is used to retrieve the bank codes available for each country that would be used in the Initiate A Transfer request.



## OpenAPI

````yaml /openapi.json get /payaza-account/api/v1/mainaccounts/merchant/banks/{currency_code}
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /payaza-account/api/v1/mainaccounts/merchant/banks/{currency_code}:
    get:
      tags:
        - Transfers
      summary: Bank Codes
      description: >-
        The Bank Codes API is used to retrieve the bank codes available for each
        country that would be used in the Initiate A Transfer request.
      parameters:
        - name: currency_code
          in: path
          required: true
          schema:
            type: string
          description: The currency code (e.g., XAF, NGN)
      responses:
        '200':
          description: Payment successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bankCodesResponse'
              examples:
                Bank Codes:
                  summary: List of banks
                  value:
                    message: List of banks for XAF
                    status: true
                    retry_count: 0
                    data:
                      - id: 3179
                        name: MTN Cameroon
                        avatar: >-
                          https://payaza-assets.s3.amazonaws.com/production/1741623087222-download(4).png
                        code: MTNCMR
                        active: true
                        type: mobile_money
                        short_name: MTN
                        sort_code: null
                        currency_code: XAF
                        country_code: CMR
                        block_transaction: false
                      - id: 3180
                        name: Orange Money Cameroon
                        avatar: >-
                          https://payaza-assets.s3.amazonaws.com/production/1744050523378-orange-money-logo-8F2AED308D-seeklogo.com.png
                        code: ORACMR
                        active: true
                        type: mobile_money
                        short_name: Orange
                        sort_code: null
                        currency_code: XAF
                        country_code: CMR
                        block_transaction: false
        '400':
          description: Payment failed
      security:
        - ApiKeyAuth:
            - Payaza {{Public API Key In Base64}}
          TenantID:
            - test or live
components:
  schemas:
    bankCodesResponse:
      title: Bank Codes Response
      type: object
      properties:
        message:
          type: string
          description: Response message.
        status:
          type: boolean
          description: Status of the request.
        retry_count:
          type: integer
          description: Number of retries.
        data:
          type: array
          description: List of available banks.
          items:
            type: object
            properties:
              id:
                type: integer
                description: Unique ID of the bank.
              name:
                type: string
                description: Full name of the bank.
              avatar:
                type: string
                description: URL to the bank's logo.
              code:
                type: string
                description: Bank code.
              active:
                type: boolean
                description: Whether the bank is currently active.
              type:
                type: string
                description: Type of institution (e.g., mobile_money).
              short_name:
                type: string
                description: Short name of the bank.
              sort_code:
                type: string
                nullable: true
                description: Sort code (if applicable).
              currency_code:
                type: string
                description: Currency supported.
              country_code:
                type: string
                description: Country code.
              block_transaction:
                type: boolean
                description: Whether transactions are blocked.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````